#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# DisplayObject Class

Defined in: `src/pixi/display/DisplayObject.js:5`
Module: PIXI

The base class for all objects that are rendered on the screen.

## Constructor

### `DisplayObject`

()

Defined in `src/pixi/display/DisplayObject.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- click
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- setInteractive deprecated
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- _interactive
- alpha
- buttonMode
- color
- defaultCursor
- dynamic
- filters
- hitArea
- interactive
- localTransform
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- visible
- worldAlpha
- worldTransform
- worldVisible

## Methods

### `click`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:188`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `mousedown`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:194`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:220`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:214`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:200`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:207`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `setInteractive`

(

- `interactive`

)
deprecated

Defined in `src/pixi/display/DisplayObject.js:261`

Deprecated: Simply set the `interactive` property directly

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `tap`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:231`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:244`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:250`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Defined in `src/pixi/display/DisplayObject.js:238`

A callback that is used when the user touches over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `_interactive`

Boolean private

Defined in `src/pixi/display/DisplayObject.js:115`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `alpha`

Number

Defined in `src/pixi/display/DisplayObject.js:47`

The opacity of the object.

### `buttonMode`

Boolean

Defined in `src/pixi/display/DisplayObject.js:72`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `color`

Array<> private

Defined in `src/pixi/display/DisplayObject.js:154`

[NYI] Unknown

### `defaultCursor`

String

Defined in `src/pixi/display/DisplayObject.js:125`

This is the cursor that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dynamic`

Boolean private

Defined in `src/pixi/display/DisplayObject.js:163`

[NYI] Holds whether or not this object is dynamic, for rendering optimization

### `filters`

Array An array of filters

Defined in `src/pixi/display/DisplayObject.js:335`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Defined in `src/pixi/display/DisplayObject.js:63`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Defined in `src/pixi/display/DisplayObject.js:274`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

Default: false

### `localTransform`

Mat3 private

Defined in `src/pixi/display/DisplayObject.js:144`

[read-only] Current transform of the object locally

### `mask`

Graphics

Defined in `src/pixi/display/DisplayObject.js:315`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Graphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Defined in `src/pixi/display/DisplayObject.js:88`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Defined in `src/pixi/display/DisplayObject.js:31`

The pivot point of the displayObject that it rotates around

### `position`

Point

Defined in `src/pixi/display/DisplayObject.js:15`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Defined in `src/pixi/display/DisplayObject.js:80`

Can this object be rendered

### `rotation`

Number

Defined in `src/pixi/display/DisplayObject.js:39`

The rotation of the object in radians.

### `scale`

Point

Defined in `src/pixi/display/DisplayObject.js:23`

The scale factor of the object.

### `stage`

Stage

Defined in `src/pixi/display/DisplayObject.js:97`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Defined in `src/pixi/display/DisplayObject.js:55`

The visibility of the object.

### `worldAlpha`

Number

Defined in `src/pixi/display/DisplayObject.js:106`

[read-only] The multiplied alpha of the displayObject

### `worldTransform`

Mat3 private

Defined in `src/pixi/display/DisplayObject.js:134`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Defined in `src/pixi/display/DisplayObject.js:294`

[read-only] Indicates if the sprite is globaly visible.